SpreadJS製品ヘルプ
Vue.js
リボンコンテナ > JavaScriptフレームワーク > Vue.js

Vueアプリケーションにリボンコンテナを追加するには、次の手順を実行します。

  1. コマンドプロンプトで次のコマンドを実行して、Vueアプリを作成します。
    コマンドプロンプト
    コードのコピー
    npm init vue@latest
    

    このコマンドは、Vueプロジェクトに追加できるプロジェクト名およびその他のオプション機能のプロンプトを表示します。

  2. SpreadJSとVueモジュールをインストールします。
    コマンドプロンプト
    コードのコピー
    npm install @grapecity/spread-sheets
    npm install @grapecity/spread-excelio
    npm install @grapecity/spread-sheets-barcode
    npm install @grapecity/spread-sheets-charts
    npm install @grapecity/spread-sheets-languagepackages
    npm install @grapecity/spread-sheets-print
    npm install @grapecity/spread-sheets-pdf
    npm install @grapecity/spread-sheets-shapes
    npm install @grapecity/spread-sheets-pivot-addon
    npm install @grapecity/spread-sheets-tablesheet
    npm install @grapecity/spread-sheets-resources-ja
    npm install @grapecity/spread-sheets-designer
    npm install @grapecity/spread-sheets-designer-resources-ja
    npm install @grapecity/spread-sheets-designer-vue
    

  3. Vueコンポーネントをアプリケーションのmain.jsファイルに登録します。
    main.js
    コードのコピー
    import { createApp } from 'vue'
    import App from './App.vue'
    import Designer from "@grapecity/spread-sheets-designer-vue"
    let app = createApp(App);
    app.component("gc-spread-sheets-designer", Designer);
    app.mount('#app');
    

  4. App.vueファイルを変更して、Vueコンポーネントをアプリケーションに追加します。
    App.vue
    コードのコピー
    <script setup>
    import '@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css';
    import "@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css";
    import * as GC from "@grapecity/spread-sheets";
    import "@grapecity/spread-sheets-print";
    import "@grapecity/spread-sheets-shapes";
    import "@grapecity/spread-sheets-pivot-addon";
    import "@grapecity/spread-sheets-tablesheet";
    import "@grapecity/spread-sheets-resources-ja";
    import "@grapecity/spread-sheets-designer-resources-ja";
    import "@grapecity/spread-sheets-designer";
    GC.Spread.Common.CultureManager.culture("ja-jp");
    
    const styleInfo = { height: "98vh", width: "100%"};
    const config = null;
    const spreadOptions = {sheetCount: 2};
    var designer =  null;
    
    function designerInitialized(value) {
        designer = value;
        let spread = designer.getWorkbook();
        let sheet = spread.getSheet(0);
        sheet.setValue(0,0, "Vue3 Sample");
    }
    </script>
    
    <template>
      <div id="gc-designer-container">
        <gc-spread-sheets-designer
          :styleInfo="styleInfo"
          :config="config"
          :spreadOptions="spreadOptions"
          @designerInitialized="designerInitialized"/>
      </div>
    </template>
    
    <style>
    </style>
    

  5. アプリケーションを実行します。
    コマンドプロンプト
    コードのコピー
    npm run dev
    

  1. コマンドプロンプトで次のコマンドを実行して、Vueアプリを作成します。
    コマンドプロンプト
    コードのコピー
    npm install -g @vue/cli
    npm i -g @vue/cli-init
    vue init webpack designercomponent
    cd designercomponent
    npm run dev
    

  2. SpreadJSとVueモジュールをインストールします。
    コマンドプロンプト
    コードのコピー
    npm install @grapecity/spread-excelio
    npm install @grapecity/spread-sheets
    npm install @grapecity/spread-sheets-barcode
    npm install @grapecity/spread-sheets-charts
    npm install @grapecity/spread-sheets-languagepackages
    npm install @grapecity/spread-sheets-pdf
    npm install @grapecity/spread-sheets-print
    npm install @grapecity/spread-sheets-shapes
    npm install @grapecity/spread-sheets-tablesheet
    npm install @grapecity/spread-sheets-pivot-addon
    npm install @grapecity/spread-sheets-designer
    npm install @grapecity/spread-sheets-resources-ja
    npm install @grapecity/spread-sheets-designer-resources-ja
    npm install @grapecity/spread-sheets-vue
    npm install @grapecity/spread-sheets-designer-vue
    

  3. 次のサンプルコードを使用して、App.vueファイルに必要なモジュールをインポートし、テンプレートにデザイナのタグを追加します。
    App.vue
    コードのコピー
    <!--Add designer tag into the template-->
    <template>
      <div id="app">
        <gc-spread-sheets-designer :styleInfo='styleInfo'
                                   :config='config'
                                   @designerInitialized="designerInitialized">
        </gc-spread-sheets-designer>
      </div>
    </template>
    <script>
    
    // 必要なモジュールをインポートします。
    import '@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css'
    import '@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css'
    import * as GC from "@grapecity/spread-sheets"
    import '@grapecity/spread-sheets-shapes'
    import '@grapecity/spread-sheets-pivot-addon'
    import '@grapecity/spread-sheets-tablesheet'
    import '@grapecity/spread-sheets-resources-ja'
    import '@grapecity/spread-sheets-designer-resources-ja'
    import '@grapecity/spread-sheets-designer-vue'
    
    // カルチャ設定。
    GC.Spread.Common.CultureManager.culture('ja-jp');
    
    export default {
      name: 'App',
      data: function () {
        return {
          styleInfo: { height: '800px', width: '1200px', border: 'solid black 1px' },
          config: null,
          designer: null
        }
      },
      methods: {
        designerInitialized (value) {
          this.designer = value
        }
      }
    }
    </script>
    

  4. アプリケーションを実行します。
    コマンドプロンプト
    コードのコピー
    npm run dev
    

ライセンスキーを設定する

Vue使用時は、SpreadJS、リボンコンテナのほか、ExcelIOに対してもライセンスキーの設定が必要となります。ExcelIOのライセンスキーにはSpreadJSのライセンスキーを設定します。

JavaScript
コードのコピー
import '@grapecity/spread-sheets-designer-resources-ja'
import { Designer } from '@grapecity/spread-sheets-designer-vue'
import * as GC from '@grapecity/spread-sheets'
import * as ExcelIO from '@grapecity/spread-excelio'
// ライセンスキー
var sjsLicense = 'sjs-distribution-key'
GC.Spread.Sheets.LicenseKey = sjsLicense
ExcelIO.LicenseKey = sjsLicense
GC.Spread.Sheets.Designer.LicenseKey = 'designer-component-distribution-key'

SpreadJS製品ヘルプ
React
リボンコンテナ > JavaScriptフレームワーク > React

Reactアプリケーションにリボンコンテナを追加するには、次の手順を実行します。

  1. コマンドプロンプトで次のコマンドを実行して、Reactアプリを作成します。
    コマンドプロンプト
    コードのコピー
    npm install -g create-react-app
    create-react-app designercomponent
    cd designercomponent
    npm start
    

  2. リボンコンテナを使用するには、以下の必要なSpreadJSのパッケージをインストールします。
    コマンドプロンプト
    コードのコピー
    npm install @grapecity/spread-excelio
    npm install @grapecity/spread-sheets
    npm install @grapecity/spread-sheets-barcode
    npm install @grapecity/spread-sheets-charts
    npm install @grapecity/spread-sheets-languagepackages
    npm install @grapecity/spread-sheets-pdf
    npm install @grapecity/spread-sheets-print
    npm install @grapecity/spread-sheets-shapes
    npm install @grapecity/spread-sheets-resources-ja
    npm install @grapecity/spread-sheets-pivot-addon
    npm install @grapecity/spread-sheets-tablesheet
    npm install @grapecity/spread-sheets-designer
    npm install @grapecity/spread-sheets-designer-resources-ja
    npm install @grapecity/spread-sheets-react
    npm install @grapecity/spread-sheets-designer-react
    

  3. 次のサンプルコードを使用して、App.jsファイルに必要なモジュールをインポートします。
    App.js
    コードのコピー
    import '@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css';
    import "@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css";
    import * as GC from "@grapecity/spread-sheets";
    import "@grapecity/spread-sheets-print";
    import "@grapecity/spread-sheets-shapes";
    import "@grapecity/spread-sheets-pivot-addon";
    import "@grapecity/spread-sheets-tablesheet";
    import "@grapecity/spread-sheets-resources-ja";
    import "@grapecity/spread-sheets-designer-resources-ja";
    import {Designer} from '@grapecity/spread-sheets-designer-react';
    

  4. 次のサンプルコードを使用して、リボンコンテナを表示します。
    App.js
    コードのコピー
    GC.Spread.Common.CultureManager.culture("ja-jp");
    
    function App() {
      return (
         <Designer styleInfo = {{width: "1500px", height: '90vh'}}></Designer>
      );
    }
    export default App;
                            
    

  5. アプリケーションを実行します。
    コマンドプロンプト
    コードのコピー
    npm start
    

SpreadJSインスタンスにアクセスする

designerInitializedイベントを使用してSpreadJSインスタンスにアクセスすることができます。designerInitializedイベントを使用するには、前項の手順 1 ~ 3を完了してから、次の手順を実行します。

  1. 次のサンプルコードを使用して、リボンコンテナを描画してSpreadJSインスタンスをアクセスします。
    JavaScript
    コードのコピー
    function App() {
        return (
         <Designer designerInitialized={designer => { getDesigner(designer) }}
         styleInfo={{ width: "100%", height: '98vh' }}></Designer >
        );
    }
    
    // リボンコンテナを取得する関数
    function getDesigner(designer) {
        // ホストされたSpreadJSインスタンスです。
        var workbook = designer.getWorkbook();
        var sheet = workbook.getActiveSheet();
        sheet.setValue(1, 1, 'Test');
    }
    

ライセンスキーを設定する

React使用時は、SpreadJS、リボンコンテナのほか、ExcelIOに対してもライセンスキーの設定が必要となります。ExcelIOのライセンスキーにはSpreadJSのライセンスキーを設定します。

JavaScript
コードのコピー
import React from 'react';
import '@grapecity/spread-sheets-designer-resources-ja';
import * as GC from '@grapecity/spread-sheets';
import '@grapecity/spread-sheets-designer';
import {Designer} from '@grapecity/spread-sheets-designer-react';
import * as ExcelIO from "@grapecity/spread-excelio";
 
var sjsLicense = "sjs-distribution-key";
GC.Spread.Sheets.LicenseKey = sjsLicense;
ExcelIO.LicenseKey = sjsLicense;
 
GC.Spread.Sheets.Designer.LicenseKey = " designer-component-distribution-key ";

SpreadJS製品ヘルプ
Angular
リボンコンテナ > JavaScriptフレームワーク > Angular

Angularアプリケーションでリボンコンテナを追加するには、次の手順を実行します。

  1. コマンドプロンプトで次のコマンドを実行して、Angular CLIをインストールし、Angularアプリを作成します。
    コマンドプロンプト
    コードのコピー
    npm install -g @angular/cli
    ng new designercomponent
    cd designercomponent
    npm start
    

  2. リボンコンテナを使用するには、以下の必要なSpreadJSのパッケージをインストールします。
    コマンドプロンプト
    コードのコピー
    npm install @grapecity/spread-excelio
    npm install @grapecity/spread-sheets
    npm install @grapecity/spread-sheets-barcode
    npm install @grapecity/spread-sheets-charts
    npm install @grapecity/spread-sheets-languagepackages
    npm install @grapecity/spread-sheets-pdf
    npm install @grapecity/spread-sheets-print
    npm install @grapecity/spread-sheets-shapes
    npm install @grapecity/spread-sheets-resources-ja
    npm install @grapecity/spread-sheets-pivot-addon
    npm install @grapecity/spread-sheets-tablesheet
    npm install @grapecity/spread-sheets-designer
    npm install @grapecity/spread-sheets-designer-resources-ja
    npm install @grapecity/spread-sheets-angular
    npm install @grapecity/spread-sheets-designer-angular
    

  3. 次のサンプルコードを使用して、app.module.tsファイルにデザイナとリソースのモジュールをインポートします。
    app.module.ts
    コードのコピー
    import { BrowserModule } from '@angular/platform-browser';
    import { NgModule } from '@angular/core';
    import { AppComponent } from './app.component';
    import "@grapecity/spread-sheets-designer-resources-ja";
    import { DesignerModule } from "@grapecity/spread-sheets-designer-angular";
    @NgModule({
        declarations: [
           AppComponent
        ],
        imports: [
           BrowserModule,
           DesignerModule
        ],
        providers: [],
        bootstrap: [AppComponent]
    })
    export class AppModule { }
    

  4. 次のサンプルコードを使用して、styles.cssファイルにCSSファイルをインポートします。
    styles.css
    コードのコピー
    @import '@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css';
    @import '@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css';
    

  5. 次のサンプルコードを使用して、app.component.htmlファイルにデザイナタグを追加します。
    app.component.html
    コードのコピー
    <designer [props]="props"></designer>
    

  6. デザイナを構成するには、「props」のパラメータを渡します。
    app.component.ts
    コードのコピー
    import { Component } from '@angular/core';
    import * as GC from '@grapecity/spread-sheets';
    import "@grapecity/spread-sheets-print";
    import "@grapecity/spread-sheets-shapes";
    import "@grapecity/spread-sheets-pivot-addon";
    import "@grapecity/spread-sheets-tablesheet";
    import '@grapecity/spread-sheets-resources-ja';
    import '@grapecity/spread-sheets-designer-resources-ja';
    import * as GcDesigner from '@grapecity/spread-sheets-designer';
    GC.Spread.Common.CultureManager.culture('ja-jp');
    
    @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css'],
    })
    export class AppComponent {
        designer: any;
        spread: any;
        props = {
           styleInfo: 'width: 100%; height: 900px',
        };
    }
    

  7. アプリケーションを保存して実行します。
    コマンドプロンプト
    コードのコピー
    npm start
    

SpreadJSインスタンスにアクセスする

designerInitializedイベントを使用してSpreadJSインスタンスにアクセスすることができます。designerInitializedイベントを使用するには、前項の手順 1 ~ 4を完了してから、次の手順を実行します。

  1. 次のサンプルコードを使用して、app.component.html ファイルのdesignerInitializedイベントにイベントリスナーを追加します。
    app.component.html
    コードのコピー
    <designer (designerInitialized)="afterDesignerInit($event)" [props]="props"></designer>
    

  2. 次のサンプルコードを使用して、app.component.tsファイルを更新します。
    app.component.ts
    コードのコピー
    export class AppComponent {
        props = {
           styleInfo: "width: 100%; height: 900px",
           config: null
        }
        afterDesignerInit(e: any) {
           //ホストされたSpreadインスタンスです。
           var workbook = e.designer.getWorkbook();
           var sheet = workbook.getActiveSheet();
           sheet.setValue(1, 1, 'Test');
        }
    }
    

  3. アプリケーションを保存して実行します。
    コマンドプロンプト
    コードのコピー
    npm start
    

ライセンスキーを設定する

Angular使用時は、SpreadJS、リボンコンテナのほか、ExcelIOに対してもライセンスキーの設定が必要となります。ExcelIOのライセンスキーにはSpreadJSのライセンスキーを設定します。

TypeScript
コードのコピー
import '@grapecity/spread-sheets-designer-resources-ja';
import * as GC from '@grapecity/spread-sheets';
import '@grapecity/spread-sheets-designer';
import * as ExcelIO from "@grapecity/spread-excelio";
 
var sjsLicense = "sjs-distribution-key";
GC.Spread.Sheets.LicenseKey = sjsLicense;
(ExcelIO as any).LicenseKey = sjsLicense;
 
(GC.Spread.Sheets as any).Designer.LicenseKey = "designer-component-distribution-key";